<template>
  <p v-if="$fetchState.pending">
    Fetching mountains...
  </p>
  <p v-else-if="$fetchState.error">
    An error occured :(
  </p>
  <div v-else>
    <h1>Nuxt Mountains</h1>
    <ul v-for="(mountain, i) in mountains" :key="i">
      <li>{{ mountain.title }} -- <small>{{ mountain.description }}</small></li>
    </ul>
    <button @click="$fetch">
      Refresh
    </button>
  </div>
</template>

<script>
export default {
  async fetch () {
    this.mountains = await fetch(
      'https://api.nuxtjs.dev/mountains'
    ).then(res => res.json())
    // console.log(this.mountains)
  },
  data () {
    return {
      mountains: []
    }
  }
}
</script>
